Bug 233588 - Review Request: perl-Graph - A Perl module for dealing with graphs, the abstract data structure
Review Request: perl-Graph - A Perl module for dealing with graphs, the abstr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-23 07:33 EDT by Alex Lancaster
Modified: 2009-08-25 00:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.84-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-24 20:12:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2007-03-23 07:33:53 EDT
Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-Graph.spec
SRPM URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-Graph-0.81-1.src.rpm
Description: 
This is Graph, a Perl module for dealing with graphs, the abstract
data structures. 
 
This is a full rewrite of the Graph module 0.2xx series as discussed
in the book "Mastering Algorithms with Perl", written by Jarkko
Hietaniemi (the undersigned), John Macdonald, and Jon Orwant,
and published by O'Reilly and Associates.  This rewrite is not
fully compatible with the 0.2xx series.
Comment 1 Parag AN(पराग) 2007-03-23 07:59:20 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
8400bd615c74de11644746709cbe7fe3  Graph-0.81.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test is Successful.
+ Provides: perl(Graph) = 0.81 perl(Graph::AdjacencyMap)
perl(Graph::AdjacencyMap::Heavy) perl(Graph::AdjacencyMap::Light)
perl(Graph::AdjacencyMap::Vertex) perl(Graph::AdjacencyMatrix)
perl(Graph::Attribute) perl(Graph::BitMatrix) perl(Graph::Directed)
perl(Graph::MSTHeapElem) = 0.01 perl(Graph::Matrix) perl(Graph::SPTHeapElem) =
0.01 perl(Graph::TransitiveClosure) perl(Graph::TransitiveClosure::Matrix)
perl(Graph::Traversal) perl(Graph::Traversal::BFS) perl(Graph::Traversal::DFS)
perl(Graph::Undirected) perl(Graph::UnionFind)

APPROVED.
Comment 2 Alex Lancaster 2007-03-24 08:58:22 EDT
New Package CVS Request
=======================
Package Name: perl-Graph
Short Description: A Perl module for dealing with graphs as abstract data structure
Owners: alexl@users.sourceforge.net
Branches: FC-5 FC-6
InitialCC: 

Comment 3 Dennis Gilmore 2007-03-24 11:06:59 EDT
added to owners.list
Comment 4 Alex Lancaster 2007-03-24 20:12:58 EDT
Builds fine FC-5, FC-6 and devel.  Closing.
Comment 5 Walter Gould 2009-07-28 18:17:33 EDT
Package Change Request
======================
Package Name: perl-Graph
New Branches: EL-5
Owners: alexlan gouldwp
Comment 6 Jason Tibbitts 2009-07-28 21:05:12 EDT
Could we get an ack from Alex to indicate that he is OK with branching this package for EPEL?
Comment 7 Walter Gould 2009-07-28 21:41:15 EDT
I was about to contact him when I saw this url:
https://fedoraproject.org/wiki/EPEL/ContributorStatusNo

This url states he doesn't mind as long as he is added as a comaintainer. That's why I went ahead with requesting the EPEL branch.
Comment 8 Alex Lancaster 2009-07-28 21:52:02 EDT
(In reply to comment #6)
> Could we get an ack from Alex to indicate that he is OK with branching this
> package for EPEL?  

FWIW, fine with me.  But yes in general, I don't have any problem with anybody taking any of my Perl packages for EPEL, so long as I am added as a co-maintainer.
Comment 9 Jason Tibbitts 2009-07-28 22:32:16 EDT
OK, CVS done.
Comment 10 Fedora Update System 2009-08-01 20:13:45 EDT
perl-Graph-0.84-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Graph-0.84-1.el5
Comment 11 Fedora Update System 2009-08-25 00:29:25 EDT
perl-Graph-0.84-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.